#!/usr/bin/env node

var _ = require("lodash");
var pkg = require('../package.json');
var program = require('commander');

var publisher = require('../lib/gitbook2_publisher');

program
    .version(pkg.version)
//    .usage('[options] [value ...]')
//    .option('-p, --path', '文档文件夹目录路径')
    ;

program.command('*')
    .description('发布文档路径')
    .action(function(commandName){
        publisher.publish(commandName);
    });
var commander = program.parse(process.argv);
if(_.isEmpty(commander.args)) {
    publisher.publish(process.cwd());
}
